Requests | Update Quote

The Update Quote end-point can be used to update existing Quotes submitted by you. This end-point is only available to providers.
Not all details can be updated - in some cases you should cancel the existing quote and submit an alternative.
You can use this end-point to submit a cancelation.

Note This end-point only applies to Providers

Request URI

PUT https://pluto.cargobase.com/api/1/quotes/{quote_reference}
Content-Type: application/json
Authorization: Token your_token_here

{quote_reference} = The 9 character quote reference, starting with a 'Q'

Known issues

Body message

Contents of the body message can be dependant on the freight mode that you are quoting on.
At this moment, only OBC, Regular Air Freight and Next Flight Out quotes are supported.

The body message of the update is very similar to the original quote submitted by you.
However, certain fields cannot be updated and others are mandatory.
Additional cost details can only be replaced in full.
The description below compares the body message of the Update to the original Quote message.

Main object categories

Category parameterPurposeRequirement
organizationShipment references, such as Shipment ID and provider teamContains mandatory elements
serviceDetails such as freight mode, quote title and other service characteristicsFully optional, can be omitted from update
financialGeneric financial detailsFully optional, can be omitted from update
cost_itemsSpecific mandatory cost itemsully optional, can be omitted from update
additional_cost_dataAdditional individual cost itemsshould be omitted, or replaced in full!
scheduleDetails such as expected pickup and delivery and quote validityFully optional, can be omitted from update

organization values

KeyValuePurposeInstruction
shipment_idSTRINGThe shipment ID (S12345678)Should not be sent - cannot be updated
request_statusSTRING(Open, Canceled, Confirmed)Mandatory
provider_teamSTRINGShould not be sent - cannot be updatedShould not be sent - cannot be updated
quoted_bySTRINGE-mail address of the quotee - this has to be an activa Cargobase accountOptional, can be updated

service values

KeyValuePurposeInstruction
freight_modeSTRINGShould not be sent - cannot be updatedShould not be sent - cannot be updated
max_weightFLOATThe maximum weight the Courier can travel withOptional, can be updated - OBC Only
max_weight_UOMBOOLEANKG or LBS for the max_weight valueOptional, can be updated - OBC Only
chargeable_weightFLOATChargeable weight for shipmentOptional, can be updated - Air freight / NFO Only
weight_UOMFLOATKG or LBS for the chargeable_weight valueOptional, can be updated - Air freight / NFO Only
quote_titleBOOLEANTitle of your quote, to distinguish in case of multiple quotesOptional, can be updated
primary_tracking_numberBOOLEANYour internal reference, or future tracking numberOptional, can be updated

financial values

KeyValuePurposeInstruction
quote_currencyISO 4217:2015 STRINGCurrency of all cost items in your quoteOptional, can be updated
not_includedSTRINGDescription of quote scope boundariesOptional, can be updated
cost_detailsOBJECTSpecific mandatory cost itemsOptional, can be updated
cost_details values
KeyValuePurposeInstruction
quoted_amountDECIMALOBC base feeOptional, can be updated - OBC Only
total_excess_costDECIMALOptional excess costOptional, can be updated - OBC Only
air_freight_chargesDECIMALAir freight / NFO base feeOptional, can be updated - Regular air freight / NFO Only
additional_cost_dataOBJECTOptional additional cost itemsOptional - can only be updated in full!
additional_cost_data values

Note Additional cost items can only be updated in full. You cannot update a single cost item - all items should be sent in again.

KeyValuePurposeInstruction
additional_cost_descriptionSTRINGDescription of additional cost itemConditional
additional_cost_item_amountDECIMALAmount of the additional cost itemConditional

Note Multiple additional cost items can be added - as dictionary objects within additional_cost_data

schedule values

KeyValuePurposeInstruction
expected_pickup_dateTIMESTAMPExpected pickup date, format YYYY-MM-DDOptional, can be updated
expected_pickup_timeTIMESTAMPExpected pickup time, format HH:MMOptional, can be updated
expected_stop1_dateTIMESTAMPExpected delivery date, format YYYY-MM-DDOptional, can be updated
expected_stop1_timeTIMESTAMPExpected delivery time, format HH:MMOptional, can be updated
quote_validity_dateSTRINGQuote validity date, format YYYY-MM-DDOptional, can be updated
quote_validity_timeSTRINGQuote validity time, format HH:MM
Please note, time is in line with personal preferences - contact Support to request changes
Optional, can be updated

Error Messages

DescriptionResolution
Status is missingPlease ensure your update includes the right status
Shipment is no longer availableShipment is no longer available for quotations
An issue occurs with total quoted value, or underlying cost itemsAn issue exists with the total quoted amount or underlying cost items
Language
Credentials
http
Response
Click Try It! to start a request and see the response here!